Package Gnumed :: Package pycommon :: Module gmPG2 :: Class cAuthenticationError |
[frames] | no frames]

# Class cAuthenticationError

source code

                  object --+
                           |
    exceptions.BaseException --+
                               |
            exceptions.Exception --+
                                   |
            exceptions.StandardError --+
                                       |
                          psycopg2.Error --+
                                           |
                      psycopg2.DatabaseError --+
                                               |
                       psycopg2.OperationalError --+
                                                   |
                                                  cAuthenticationError

Instance Methods
__init__(self, dsn=None, prev_val=None) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
__str__(self) str(x) | source code
__unicode__(self) | source code
Inherited from `exceptions.StandardError`: `__new__` Inherited from `exceptions.BaseException`: `__delattr__`, `__getattribute__`, `__getitem__`, `__getslice__`, `__reduce__`, `__repr__`, `__setattr__`, `__setstate__` Inherited from `object`: `__format__`, `__hash__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Class Variables
Inherited from `psycopg2.Error`: `cursor`, `pgcode`, `pgerror`

Properties
Inherited from `exceptions.BaseException`: `args`, `message` Inherited from `object`: `__class__`

Method Details

### __init__(self, dsn=None, prev_val=None) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

### __str__(self) (Informal representation operator) | source code
str(x) Overrides: object.__str__ (inherited documentation)

### __unicode__(self) | source code
Overrides: exceptions.BaseException.__unicode__